Why am I receiving a error message “Unable to login because this account is registered to a different version” when trying to login?

This error message is displayed when a user attempts to login using a different device platform than the type originally used upon registration. For example, if you created an account on an Android platform, you will be able to login with other Android devices, but will not be able to login using devices using iOS platform. The same is true if you created an account on an iOS platform – you will have the ability of logging in to your account on other iOS devices, but not on Android devices.

Comments are closed.